import matplotlib
import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D

m = 1.0
k = 1.0

N = 100
x1 = np.linspace(-5, 5, N)
x2 = np.linspace(-5, 5, N)

X1, X2 = np.meshgrid(x1, x2)

Y_plot = [[0 for i in range(N)] for j in range(N)]

for i in range(N):
    for j in range(N):
        Y_plot[i][j] = 0.5*m*x1[i]*x1[i] + 0.5*k*x2[j]*x2[j]

Y_plot = np.array(Y_plot)

#Y_plot = Y_plot.reshape(X1.shape)


fig = plt.figure()
ax = fig.add_subplot(111, projection='3d')
surf = ax.plot_surface(X1, X2, Y_plot, cmap='bwr', linewidth=1)
plt.xlabel('x')
plt.ylabel('dx')
fig.colorbar(surf)
ax.set_title("Lyapnov function")
plt.savefig('Lyapnov_function.png', dpi=600, figsize=(5, 5))

plt.show()
